Bug 1116316 - gnome-initial-setup does not run if user is created in anaconda
Summary: gnome-initial-setup does not run if user is created in anaconda
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-initial-setup
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
: 1135138 (view as bug list)
Depends On:
Blocks: F21AlphaFreezeException F21BetaBlocker 1134826
TreeView+ depends on / blocked
 
Reported: 2014-07-04 08:39 UTC by Jens Petersen
Modified: 2014-09-29 04:30 UTC (History)
10 users (show)

Fixed In Version: gnome-initial-setup-3.13.7-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-27 09:51:36 UTC


Attachments (Terms of Use)

Description Jens Petersen 2014-07-04 08:39:03 UTC
Description of problem:
gnome-initial-setup seems not showing up with current rawhide gnome 3.13.3.

Version-Release number of selected component (if applicable):
gnome-initial-setup-3.12.1-2.fc21

How reproducible:
100%

Steps to Reproduce:
1. Install Fedora Live Workstation
2. Login to GNOME
3. wait for gnome-initial-setup

Actual results:
no gnome-initial-setup appears

Expected results:
gnome-initial-setup to work as normal.

Comment 2 Jens Petersen 2014-09-03 06:56:30 UTC
Still happens with F21 Alpha TC5.

Comment 3 Adam Williamson 2014-09-09 20:00:52 UTC
Did you create a user in anaconda or not?

Comment 4 Adam Williamson 2014-09-09 20:01:54 UTC
If you did, https://bugzilla.redhat.com/show_bug.cgi?id=1135138 is probably a dupe of this.

Comment 5 Matthias Clasen 2014-09-10 00:35:00 UTC
turn out running gnome-initial-setup in existing-user mode was removed here: 

https://git.gnome.org/browse/gnome-initial-setup/commit/?id=f2bc7d626e14f0c75b554a1269fca3b61a799073

So this already wasn't working in 3.12

Comment 6 Jens Petersen 2014-09-10 04:52:30 UTC
Adam, yes I did.

Comment 7 Adam Williamson 2014-09-10 05:32:52 UTC
*** Bug 1135138 has been marked as a duplicate of this bug. ***

Comment 8 Adam Williamson 2014-09-10 05:34:07 UTC
I think this is worth an Alpha freeze exception, it'd be nice to get g-i-s visible for people who create user accounts in anaconda.

Comment 9 Adam Williamson 2014-09-10 17:28:34 UTC
Discussed at 2014-09-10 freeze exception review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2014-09-10/f21-blocker-review.2014-09-10-16.07.log.txt . There's some indication that this might be an intentional change, but that seems odd, so if that's the case obviously FE status is irrelevant and this should be closed NOTABUG, but assuming it's actually just an oversight, we'll take a fix as this is a useful workflow that we want people to test (and can't be fixed with a post-release update).

Comment 10 Jens Petersen 2014-09-11 01:24:05 UTC
(In reply to Matthias Clasen from comment #5)
> turn out running gnome-initial-setup in existing-user mode was removed here: 
> https://git.gnome.org/browse/gnome-initial-setup/commit/
> ?id=f2bc7d626e14f0c75b554a1269fca3b61a799073
> So this already wasn't working in 3.12

What options do you see?

Could the above patch be reverted in Fedora at least or upstream?
Maybe the old code was not perfect, but it seemed to work well enough.

Here is my take: the patch was applied since gnome-initial-setup didn't
do that much for existing users that don't need Input Methods.
While true this certainly worsens the UX for Asian users who do
need to setup an input method on their desktop.

The solutions I see:

A) revert the patch - but maybe Jasper was right that the old UX
   was sub-optimal for non-Asian users.
B) setup a default IME for CIJK like we used to before g-i-s.
   Then, not running g-i-s in this case is not so much of a deal,
   though it still makes language selection less "discoverable".
C) only run g-i-s for an existing user for locales that need an IME.
   Probably not popular/ideal since we like to have a unified UX?
D) have IME setup available also in anaconda - in fact I heard there are
   plans to allow ibus use in anaconda though maybe not for F21.

Any other ideas?

Comment 11 satellitgo 2014-09-11 16:07:09 UTC
Fedora-Live-Workstation-x86_64-21_Alpha-TC6
Anaconda set up with root password  but no user:
On reboot:
G-I-S works and boots workstation (gnome 3.13.90)
Tested in VirtualBox

Comment 12 Adam Williamson 2014-09-11 17:47:50 UTC
yes, we know, the scope of the issue is fairly clear (it runs if you don't create a user in the installer, but it doesn't run if you do).

Comment 13 Rui Matos 2014-09-16 13:21:50 UTC
This should get fixed in gnome-initial-setup-3.13.6-1.fc21

Comment 14 Fedora Update System 2014-09-17 19:35:07 UTC
accerciser-3.13.92-1.fc21,anjuta-3.13.92-1.fc21,appstream-0.7.1-1.fc21,appstream-data-21-13.fc21,at-spi2-core-2.13.92-1.fc21,bijiben-3.13.92-1.fc21,brasero-3.11.4-2.fc21,caribou-0.4.15-1.fc21,cheese-3.13.92-1.fc21,clutter-1.19.10-1.fc21,colord-1.2.3-2.fc21,colorhug-client-0.2.2-1.fc21,control-center-3.13.92-1.fc21,devhelp-3.13.92-1.fc21,empathy-3.12.6-1.fc21,eog-3.13.92-1.fc21,eog-plugins-3.13.92-1.fc21,epiphany-3.13.91-1.fc21,evince-3.13.92-1.fc21,file-roller-3.13.92-1.fc21,five-or-more-3.13.92-1.fc21,folks-0.10.0-1.fc21,four-in-a-row-3.13.92-1.fc21,gcr-3.13.91-2.fc21,gdm-3.13.92-1.fc21,glib2-2.41.5-1.fc21,glibmm24-2.41.4-1.fc21,glib-networking-2.41.92-1.fc21,gnome-backgrounds-3.13.92-1.fc21,gnome-boxes-3.13.92-1.fc21,gnome-calculator-3.13.92-1.fc21,gnome-chess-3.13.92-1.fc21,gnome-contacts-3.13.92-1.fc21,gnome-desktop3-3.13.92-1.fc21,gnome-devel-docs-3.13.92-1.fc21,gnome-documents-3.13.92-1.fc21,gnome-initial-setup-3.13.7-1.fc21,gnome-keyring-3.13.91-1.fc21,gnome-logs-3.13.92-1.fc21,gnome-mahjongg-3.13.92-1.fc21,gnome-maps-3.13.92-1.fc21,gnome-mines-3.13.92-1.fc21,gnome-music-3.13.92-1.fc21,gnome-nibbles-3.13.92-1.fc21,gnome-online-accounts-3.13.92-1.fc21,gnome-packagekit-3.13.92-1.fc21,gnome-photos-3.13.92-1.fc21,gnome-robots-3.13.92-1.fc21,gnome-screenshot-3.13.92-1.fc21,gnome-settings-daemon-3.13.92-1.fc21,gnome-shell-3.13.92-1.fc21,gnome-shell-extensions-3.13.92-1.fc21,gnome-software-3.13.92-2.fc21,gnome-sound-recorder-3.14-1.fc21,gnome-sudoku-3.13.92-1.fc21,gnome-system-monitor-3.13.92-1.fc21,gnome-terminal-3.13.92-1.fc21,gnome-tetravex-3.13.92-1.fc21,gnome-user-docs-3.13.92-1.fc21,gnome-user-share-3.13.91-1.fc21,gnome-weather-3.13.92-1.fc21,gtk3-3.13.9-1.fc21,gtkmm30-3.13.8-1.fc21,gtksourceview3-3.13.91-1.fc21,gvfs-1.21.92-1.fc21,hitori-3.13.92-1.fc21,inkscape-0.48.5-2.fc21,libgdl-3.13.92-1.fc21,libgee-0.15.92-1.fc21,libgexiv2-0.10.2-1.fc21,libgit2-glib-0.0.22-1.fc21,libgweather-3.13.92-1.fc21,libhif-0.1.4-1.fc21,libinput-0.6.0-2.fc21,librsvg2-2.40.4-1.fc21,libsecret-0.18-5.fc21,libsigc++20-2.4.0-1.fc21,libsoup-2.47.92-1.fc21,lightsoff-3.13.92-1.fc21,mm-common-0.9.7-1.fc21,mutter-3.13.92-1.fc21.1,nautilus-3.13.92-1.fc21,PackageKit-1.0.0-2.fc21,polari-3.13.92-1.fc21,pygobject3-3.13.92-1.fc21,quadrapassel-3.13.92-1.fc21,simple-scan-3.13.92-1.fc21,sound-juicer-3.13.92-1.fc21,swell-foop-3.13.92-1.fc21,tali-3.13.92-1.fc21,vala-0.25.4-1.fc21,vinagre-3.13.92-1.fc21,vte291-0.38.0-1.fc21,weston-1.5.91-2.fc21,xorg-x11-drv-libinput-0.1.2-3.fc21,yelp-3.13.92-1.fc21,yelp-xsl-3.13.92-1.fc21,zenity-3.13.92-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/accerciser-3.13.92-1.fc21,anjuta-3.13.92-1.fc21,appstream-0.7.1-1.fc21,appstream-data-21-13.fc21,at-spi2-core-2.13.92-1.fc21,bijiben-3.13.92-1.fc21,brasero-3.11.4-2.fc21,caribou-0.4.15-1.fc21,cheese-3.13.92-1.fc21,clutter-1.19.10-1.fc21,colord-1.2.3-2.fc21,colorhug-client-0.2.2-1.fc21,control-center-3.13.92-1.fc21,devhelp-3.13.92-1.fc21,empathy-3.12.6-1.fc21,eog-3.13.92-1.fc21,eog-plugins-3.13.92-1.fc21,epiphany-3.13.91-1.fc21,evince-3.13.92-1.fc21,file-roller-3.13.92-1.fc21,five-or-more-3.13.92-1.fc21,folks-0.10.0-1.fc21,four-in-a-row-3.13.92-1.fc21,gcr-3.13.91-2.fc21,gdm-3.13.92-1.fc21,glib2-2.41.5-1.fc21,glibmm24-2.41.4-1.fc21,glib-networking-2.41.92-1.fc21,gnome-backgrounds-3.13.92-1.fc21,gnome-boxes-3.13.92-1.fc21,gnome-calculator-3.13.92-1.fc21,gnome-chess-3.13.92-1.fc21,gnome-contacts-3.13.92-1.fc21,gnome-desktop3-3.13.92-1.fc21,gnome-devel-docs-3.13.92-1.fc21,gnome-documents-3.13.92-1.fc21,gnome-initial-setup-3.13.7-1.fc21,gnome-keyring-3.13.91-1.fc21,gnome-logs-3.13.92-1.fc21,gnome-mahjongg-3.13.92-1.fc21,gnome-maps-3.13.92-1.fc21,gnome-mines-3.13.92-1.fc21,gnome-music-3.13.92-1.fc21,gnome-nibbles-3.13.92-1.fc21,gnome-online-accounts-3.13.92-1.fc21,gnome-packagekit-3.13.92-1.fc21,gnome-photos-3.13.92-1.fc21,gnome-robots-3.13.92-1.fc21,gnome-screenshot-3.13.92-1.fc21,gnome-settings-daemon-3.13.92-1.fc21,gnome-shell-3.13.92-1.fc21,gnome-shell-extensions-3.13.92-1.fc21,gnome-software-3.13.92-2.fc21,gnome-sound-recorder-3.14-1.fc21,gnome-sudoku-3.13.92-1.fc21,gnome-system-monitor-3.13.92-1.fc21,gnome-terminal-3.13.92-1.fc21,gnome-tetravex-3.13.92-1.fc21,gnome-user-docs-3.13.92-1.fc21,gnome-user-share-3.13.91-1.fc21,gnome-weather-3.13.92-1.fc21,gtk3-3.13.9-1.fc21,gtkmm30-3.13.8-1.fc21,gtksourceview3-3.13.91-1.fc21,gvfs-1.21.92-1.fc21,hitori-3.13.92-1.fc21,inkscape-0.48.5-2.fc21,libgdl-3.13.92-1.fc21,libgee-0.15.92-1.fc21,libgexiv2-0.10.2-1.fc21,libgit2-glib-0.0.22-1.fc21,libgweather-3.13.92-1.fc21,libhif-0.1.4-1.fc21,libinput-0.6.0-2.fc21,librsvg2-2.40.4-1.fc21,libsecret-0.18-5.fc21,libsigc++20-2.4.0-1.fc21,libsoup-2.47.92-1.fc21,lightsoff-3.13.92-1.fc21,mm-common-0.9.7-1.fc21,mutter-3.13.92-1.fc21.1,nautilus-3.13.92-1.fc21,PackageKit-1.0.0-2.fc21,polari-3.13.92-1.fc21,pygobject3-3.13.92-1.fc21,quadrapassel-3.13.92-1.fc21,simple-scan-3.13.92-1.fc21,sound-juicer-3.13.92-1.fc21,swell-foop-3.13.92-1.fc21,tali-3.13.92-1.fc21,vala-0.25.4-1.fc21,vinagre-3.13.92-1.fc21,vte291-0.38.0-1.fc21,weston-1.5.91-2.fc21,xorg-x11-drv-libinput-0.1.2-3.fc21,yelp-3.13.92-1.fc21,yelp-xsl-3.13.92-1.fc21,zenity-3.13.92-1.fc21

Comment 15 Fedora Update System 2014-09-19 17:45:30 UTC
Package gnome-clocks-3.13.92-1.fc21, gnome-dictionary-3.13.92-3.fc21, libchamplain-0.12.9-1.fc21, libgdata-0.16.0-1.fc21, orca-3.13.92-1.fc21, accerciser-3.13.92-1.fc21, anjuta-3.13.92-1.fc21, appstream-0.7.1-1.fc21, appstream-data-21-13.fc21, at-spi2-core-2.13.92-1.fc21, bijiben-3.13.92-1.fc21, brasero-3.11.4-2.fc21, caribou-0.4.15-1.fc21, cheese-3.13.92-1.fc21, clutter-1.19.10-1.fc21, colord-1.2.3-2.fc21, colorhug-client-0.2.2-1.fc21, control-center-3.13.92-1.fc21, devhelp-3.13.92-1.fc21, empathy-3.12.6-1.fc21, eog-3.13.92-1.fc21, eog-plugins-3.13.92-1.fc21, epiphany-3.13.91-1.fc21, evince-3.13.92-1.fc21, file-roller-3.13.92-1.fc21, five-or-more-3.13.92-1.fc21, folks-0.10.0-1.fc21, four-in-a-row-3.13.92-1.fc21, gcr-3.13.91-2.fc21, gdm-3.13.92-1.fc21, glib2-2.41.5-1.fc21, glibmm24-2.41.4-1.fc21, glib-networking-2.41.92-1.fc21, gnome-backgrounds-3.13.92-1.fc21, gnome-boxes-3.13.92-1.fc21, gnome-calculator-3.13.92-1.fc21, gnome-chess-3.13.92-1.fc21, gnome-contacts-3.13.92-1.fc21, gnome-desktop3-3.13.92-1.fc21, gnome-devel-docs-3.13.92-1.fc21, gnome-documents-3.13.92-1.fc21, gnome-initial-setup-3.13.7-1.fc21, gnome-keyring-3.13.91-1.fc21, gnome-logs-3.13.92-1.fc21, gnome-mahjongg-3.13.92-1.fc21, gnome-maps-3.13.92-1.fc21, gnome-mines-3.13.92-1.fc21, gnome-music-3.13.92-1.fc21, gnome-nibbles-3.13.92-1.fc21, gnome-online-accounts-3.13.92-1.fc21, gnome-packagekit-3.13.92-1.fc21, gnome-photos-3.13.92-1.fc21, gnome-robots-3.13.92-1.fc21, gnome-screenshot-3.13.92-1.fc21, gnome-settings-daemon-3.13.92-1.fc21, gnome-shell-3.13.92-1.fc21, gnome-shell-extensions-3.13.92-1.fc21, gnome-software-3.13.92-2.fc21, gnome-sound-recorder-3.14-1.fc21, gnome-sudoku-3.13.92-1.fc21, gnome-system-monitor-3.13.92-1.fc21, gnome-terminal-3.13.92-1.fc21, gnome-tetravex-3.13.92-1.fc21, gnome-user-docs-3.13.92-1.fc21, gnome-user-share-3.13.91-1.fc21, gnome-weather-3.13.92-1.fc21, gtk3-3.13.9-1.fc21, gtkmm30-3.13.8-1.fc21, gtksourceview3-3.13.91-1.fc21, gvfs-1.21.92-1.fc21, hitori-3.13.92-1.fc21, inkscape-0.48.5-2.fc21, libgdl-3.13.92-1.fc21, libgee-0.15.92-1.fc21, libgexiv2-0.10.2-1.fc21, libgit2-glib-0.0.22-1.fc21, libgweather-3.13.92-1.fc21, libhif-0.1.4-1.fc21, libinput-0.6.0-2.fc21, librsvg2-2.40.4-1.fc21, libsecret-0.18-5.fc21, libsigc++20-2.4.0-1.fc21, libsoup-2.47.92-1.fc21, lightsoff-3.13.92-1.fc21, mm-common-0.9.7-1.fc21, mutter-3.13.92-1.fc21.1, nautilus-3.13.92-1.fc21, PackageKit-1.0.0-2.fc21, polari-3.13.92-1.fc21, pygobject3-3.13.92-1.fc21, quadrapassel-3.13.92-1.fc21, simple-scan-3.13.92-1.fc21, sound-juicer-3.13.92-1.fc21, swell-foop-3.13.92-1.fc21, tali-3.13.92-1.fc21, vala-0.25.4-1.fc21, vinagre-3.13.92-1.fc21, vte291-0.38.0-1.fc21, weston-1.5.91-2.fc21, xorg-x11-drv-libinput-0.1.2-3.fc21, yelp-3.13.92-1.fc21, yelp-xsl-3.13.92-1.fc21, zenity-3.13.92-1.fc21, gnome-tweak-tool-3.13.92-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-clocks-3.13.92-1.fc21 gnome-dictionary-3.13.92-3.fc21 libchamplain-0.12.9-1.fc21 libgdata-0.16.0-1.fc21 orca-3.13.92-1.fc21 accerciser-3.13.92-1.fc21 anjuta-3.13.92-1.fc21 appstream-0.7.1-1.fc21 appstream-data-21-13.fc21 at-spi2-core-2.13.92-1.fc21 bijiben-3.13.92-1.fc21 brasero-3.11.4-2.fc21 caribou-0.4.15-1.fc21 cheese-3.13.92-1.fc21 clutter-1.19.10-1.fc21 colord-1.2.3-2.fc21 colorhug-client-0.2.2-1.fc21 control-center-3.13.92-1.fc21 devhelp-3.13.92-1.fc21 empathy-3.12.6-1.fc21 eog-3.13.92-1.fc21 eog-plugins-3.13.92-1.fc21 epiphany-3.13.91-1.fc21 evince-3.13.92-1.fc21 file-roller-3.13.92-1.fc21 five-or-more-3.13.92-1.fc21 folks-0.10.0-1.fc21 four-in-a-row-3.13.92-1.fc21 gcr-3.13.91-2.fc21 gdm-3.13.92-1.fc21 glib2-2.41.5-1.fc21 glibmm24-2.41.4-1.fc21 glib-networking-2.41.92-1.fc21 gnome-backgrounds-3.13.92-1.fc21 gnome-boxes-3.13.92-1.fc21 gnome-calculator-3.13.92-1.fc21 gnome-chess-3.13.92-1.fc21 gnome-contacts-3.13.92-1.fc21 gnome-desktop3-3.13.92-1.fc21 gnome-devel-docs-3.13.92-1.fc21 gnome-documents-3.13.92-1.fc21 gnome-initial-setup-3.13.7-1.fc21 gnome-keyring-3.13.91-1.fc21 gnome-logs-3.13.92-1.fc21 gnome-mahjongg-3.13.92-1.fc21 gnome-maps-3.13.92-1.fc21 gnome-mines-3.13.92-1.fc21 gnome-music-3.13.92-1.fc21 gnome-nibbles-3.13.92-1.fc21 gnome-online-accounts-3.13.92-1.fc21 gnome-packagekit-3.13.92-1.fc21 gnome-photos-3.13.92-1.fc21 gnome-robots-3.13.92-1.fc21 gnome-screenshot-3.13.92-1.fc21 gnome-settings-daemon-3.13.92-1.fc21 gnome-shell-3.13.92-1.fc21 gnome-shell-extensions-3.13.92-1.fc21 gnome-software-3.13.92-2.fc21 gnome-sound-recorder-3.14-1.fc21 gnome-sudoku-3.13.92-1.fc21 gnome-system-monitor-3.13.92-1.fc21 gnome-terminal-3.13.92-1.fc21 gnome-tetravex-3.13.92-1.fc21 gnome-user-docs-3.13.92-1.fc21 gnome-user-share-3.13.91-1.fc21 gnome-weather-3.13.92-1.fc21 gtk3-3.13.9-1.fc21 gtkmm30-3.13.8-1.fc21 gtksourceview3-3.13.91-1.fc21 gvfs-1.21.92-1.fc21 hitori-3.13.92-1.fc21 inkscape-0.48.5-2.fc21 libgdl-3.13.92-1.fc21 libgee-0.15.92-1.fc21 libgexiv2-0.10.2-1.fc21 libgit2-glib-0.0.22-1.fc21 libgweather-3.13.92-1.fc21 libhif-0.1.4-1.fc21 libinput-0.6.0-2.fc21 librsvg2-2.40.4-1.fc21 libsecret-0.18-5.fc21 libsigc++20-2.4.0-1.fc21 libsoup-2.47.92-1.fc21 lightsoff-3.13.92-1.fc21 mm-common-0.9.7-1.fc21 mutter-3.13.92-1.fc21.1 nautilus-3.13.92-1.fc21 PackageKit-1.0.0-2.fc21 polari-3.13.92-1.fc21 pygobject3-3.13.92-1.fc21 quadrapassel-3.13.92-1.fc21 simple-scan-3.13.92-1.fc21 sound-juicer-3.13.92-1.fc21 swell-foop-3.13.92-1.fc21 tali-3.13.92-1.fc21 vala-0.25.4-1.fc21 vinagre-3.13.92-1.fc21 vte291-0.38.0-1.fc21 weston-1.5.91-2.fc21 xorg-x11-drv-libinput-0.1.2-3.fc21 yelp-3.13.92-1.fc21 yelp-xsl-3.13.92-1.fc21 zenity-3.13.92-1.fc21 gnome-tweak-tool-3.13.92-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-11133/accerciser-3.13.92-1.fc21,anjuta-3.13.92-1.fc21,appstream-0.7.1-1.fc21,appstream-data-21-13.fc21,at-spi2-core-2.13.92-1.fc21,bijiben-3.13.92-1.fc21,brasero-3.11.4-2.fc21,caribou-0.4.15-1.fc21,cheese-3.13.92-1.fc21,clutter-1.19.10-1.fc21,colord-1.2.3-2.fc21,colorhug-client-0.2.2-1.fc21,control-center-3.13.92-1.fc21,devhelp-3.13.92-1.fc21,empathy-3.12.6-1.fc21,eog-3.13.92-1.fc21,eog-plugins-3.13.92-1.fc21,epiphany-3.13.91-1.fc21,evince-3.13.92-1.fc21,file-roller-3.13.92-1.fc21,five-or-more-3.13.92-1.fc21,folks-0.10.0-1.fc21,four-in-a-row-3.13.92-1.fc21,gcr-3.13.91-2.fc21,gdm-3.13.92-1.fc21,glib2-2.41.5-1.fc21,glibmm24-2.41.4-1.fc21,glib-networking-2.41.92-1.fc21,gnome-backgrounds-3.13.92-1.fc21,gnome-boxes-3.13.92-1.fc21,gnome-calculator-3.13.92-1.fc21,gnome-chess-3.13.92-1.fc21,gnome-clocks-3.13.92-1.fc21,gnome-contacts-3.13.92-1.fc21,gnome-desktop3-3.13.92-1.fc21,gnome-devel-docs-3.13.92-1.fc21,gnome-dictionary-3.13.92-3.fc21,gnome-documents-3.13.92-1.fc21,gnome-initial-setup-3.13.7-1.fc21,gnome-keyring-3.13.91-1.fc21,gnome-logs-3.13.92-1.fc21,gnome-mahjongg-3.13.92-1.fc21,gnome-maps-3.13.92-1.fc21,gnome-mines-3.13.92-1.fc21,gnome-music-3.13.92-1.fc21,gnome-nibbles-3.13.92-1.fc21,gnome-online-accounts-3.13.92-1.fc21,gnome-packagekit-3.13.92-1.fc21,gnome-photos-3.13.92-1.fc21,gnome-robots-3.13.92-1.fc21,gnome-screenshot-3.13.92-1.fc21,gnome-settings-daemon-3.13.92-1.fc21,gnome-shell-3.13.92-1.fc21,gnome-shell-extensions-3.13.92-1.fc21,gnome-software-3.13.92-2.fc21,gnome-sound-recorder-3.14-1.fc21,gnome-sudoku-3.13.92-1.fc21,gnome-system-monitor-3.13.92-1.fc21,gnome-terminal-3.13.92-1.fc21,gnome-tetravex-3.13.92-1.fc21,gnome-tweak-tool-3.13.92-1.fc21,gnome-user-docs-3.13.92-1.fc21,gnome-user-share-3.13.91-1.fc21,gnome-weather-3.13.92-1.fc21,gtk3-3.13.9-1.fc21,gtkmm30-3.13.8-1.fc21,gtksourceview3-3.13.91-1.fc21,gvfs-1.21.92-1.fc21,hitori-3.13.92-1.fc21,inkscape-0.48.5-2.fc21,libchamplain-0.12.9-1.fc21,libgdata-0.16.0-1.fc21,libgdl-3.13.92-1.fc21,libgee-0.15.92-1.fc21,libgexiv2-0.10.2-1.fc21,libgit2-glib-0.0.22-1.fc21,libgweather-3.13.92-1.fc21,libhif-0.1.4-1.fc21,libinput-0.6.0-2.fc21,librsvg2-2.40.4-1.fc21,libsecret-0.18-5.fc21,libsigc++20-2.4.0-1.fc21,libsoup-2.47.92-1.fc21,lightsoff-3.13.92-1.fc21,mm-common-0.9.7-1.fc21,mutter-3.13.92-1.fc21.1,nautilus-3.13.92-1.fc21,orca-3.13.92-1.fc21,PackageKit-1.0.0-2.fc21,polari-3.13.92-1.fc21,pygobject3-3.13.92-1.fc21,quadrapassel-3.13.92-1.fc21,simple-scan-3.13.92-1.fc21,sound-juicer-3.13.92-1.fc21,swell-foop-3.13.92-1.fc21,tali-3.13.92-1.fc21,vala-0.25.4-1.fc21,vinagre-3.13.92-1.fc21,vte291-0.38.0-1.fc21,weston-1.5.91-2.fc21,xorg-x11-drv-libinput-0.1.2-3.fc21,yelp-3.13.92-1.fc21,yelp-xsl-3.13.92-1.fc21,zenity-3.13.92-1.fc21
then log in and leave karma (feedback).

Comment 16 satellitgo 2014-09-22 21:30:51 UTC
installed In VirtualBox: Fedora-Workstation-netinst-x86_64-21_Alpha.iso
selected workstation from list of DE's
on reboot after login got G-I-S* even though had root and user set in anaconda. *User and root were bypassed in G-I-S

had 6 activities plus overview of activities in left pane
3.13.92 Gnome

looks fixed

Comment 17 Michael Catanzaro 2014-09-23 21:15:59 UTC
It's definitely broken in Fedora 21 Alpha Workstation installed with the live installer, because this update hasn't made it to stable yet -- we shipped with gnome-initial-setup-3.13.5-2.fc21. Oops.

Comment 18 Mike Ruckman 2014-09-24 20:31:47 UTC
Verified in Alpha.

+1 Blocker (should show up in first Beta TC)

Comment 19 Adam Williamson 2014-09-27 05:21:39 UTC
michael: not really an 'oops', we just never did an RC2 so there was no opportunity to pull in extra builds (plus we wouldn't have taken an entire new GNOME at that point anyway).

Comment 20 Fedora Update System 2014-09-27 09:51:36 UTC
gnome-clocks-3.13.92-1.fc21, gnome-dictionary-3.13.92-3.fc21, libchamplain-0.12.9-1.fc21, libgdata-0.16.0-1.fc21, orca-3.13.92-1.fc21, accerciser-3.13.92-1.fc21, anjuta-3.13.92-1.fc21, appstream-0.7.1-1.fc21, appstream-data-21-13.fc21, at-spi2-core-2.13.92-1.fc21, bijiben-3.13.92-1.fc21, brasero-3.11.4-2.fc21, caribou-0.4.15-1.fc21, cheese-3.13.92-1.fc21, clutter-1.19.10-1.fc21, colord-1.2.3-2.fc21, colorhug-client-0.2.2-1.fc21, control-center-3.13.92-1.fc21, devhelp-3.13.92-1.fc21, empathy-3.12.6-1.fc21, eog-3.13.92-1.fc21, eog-plugins-3.13.92-1.fc21, epiphany-3.13.91-1.fc21, evince-3.13.92-1.fc21, file-roller-3.13.92-1.fc21, five-or-more-3.13.92-1.fc21, folks-0.10.0-1.fc21, four-in-a-row-3.13.92-1.fc21, gcr-3.13.91-2.fc21, gdm-3.13.92-1.fc21, glib2-2.41.5-1.fc21, glibmm24-2.41.4-1.fc21, glib-networking-2.41.92-1.fc21, gnome-backgrounds-3.13.92-1.fc21, gnome-boxes-3.13.92-1.fc21, gnome-calculator-3.13.92-1.fc21, gnome-chess-3.13.92-1.fc21, gnome-contacts-3.13.92-1.fc21, gnome-desktop3-3.13.92-1.fc21, gnome-devel-docs-3.13.92-1.fc21, gnome-documents-3.13.92-1.fc21, gnome-initial-setup-3.13.7-1.fc21, gnome-keyring-3.13.91-1.fc21, gnome-logs-3.13.92-1.fc21, gnome-mahjongg-3.13.92-1.fc21, gnome-maps-3.13.92-1.fc21, gnome-mines-3.13.92-1.fc21, gnome-music-3.13.92-1.fc21, gnome-nibbles-3.13.92-1.fc21, gnome-online-accounts-3.13.92-1.fc21, gnome-packagekit-3.13.92-1.fc21, gnome-photos-3.13.92-1.fc21, gnome-robots-3.13.92-1.fc21, gnome-screenshot-3.13.92-1.fc21, gnome-settings-daemon-3.13.92-1.fc21, gnome-shell-3.13.92-1.fc21, gnome-shell-extensions-3.13.92-1.fc21, gnome-software-3.13.92-2.fc21, gnome-sound-recorder-3.14-1.fc21, gnome-sudoku-3.13.92-1.fc21, gnome-system-monitor-3.13.92-1.fc21, gnome-terminal-3.13.92-1.fc21, gnome-tetravex-3.13.92-1.fc21, gnome-user-docs-3.13.92-1.fc21, gnome-user-share-3.13.91-1.fc21, gnome-weather-3.13.92-1.fc21, gtk3-3.13.9-1.fc21, gtkmm30-3.13.8-1.fc21, gtksourceview3-3.13.91-1.fc21, gvfs-1.21.92-1.fc21, hitori-3.13.92-1.fc21, inkscape-0.48.5-2.fc21, libgdl-3.13.92-1.fc21, libgee-0.15.92-1.fc21, libgexiv2-0.10.2-1.fc21, libgit2-glib-0.0.22-1.fc21, libgweather-3.13.92-1.fc21, libhif-0.1.4-1.fc21, libinput-0.6.0-2.fc21, librsvg2-2.40.4-1.fc21, libsecret-0.18-5.fc21, libsigc++20-2.4.0-1.fc21, libsoup-2.47.92-1.fc21, lightsoff-3.13.92-1.fc21, mm-common-0.9.7-1.fc21, mutter-3.13.92-1.fc21.1, nautilus-3.13.92-1.fc21, PackageKit-1.0.0-2.fc21, polari-3.13.92-1.fc21, pygobject3-3.13.92-1.fc21, quadrapassel-3.13.92-1.fc21, simple-scan-3.13.92-1.fc21, sound-juicer-3.13.92-1.fc21, swell-foop-3.13.92-1.fc21, tali-3.13.92-1.fc21, vala-0.25.4-1.fc21, vinagre-3.13.92-1.fc21, vte291-0.38.0-1.fc21, weston-1.5.91-2.fc21, xorg-x11-drv-libinput-0.1.2-3.fc21, yelp-3.13.92-1.fc21, yelp-xsl-3.13.92-1.fc21, zenity-3.13.92-1.fc21, gnome-tweak-tool-3.13.92-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.